/* FONTS */
@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-Black.eot");
  src: url("../fonts/Cairo-Black.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-Black.woff2") format("woff2"),
  url("../fonts/Cairo-Black.woff") format("woff"),
  url("../fonts/Cairo-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-ExtraBold.eot");
  src: url("../fonts/Cairo-ExtraBold.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-ExtraBold.woff2") format("woff2"),
  url("../fonts/Cairo-ExtraBold.woff") format("woff"),
  url("../fonts/Cairo-ExtraBold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-Bold.eot");
  src: url("../fonts/Cairo-Bold.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-Bold.woff2") format("woff2"),
  url("../fonts/Cairo-Bold.woff") format("woff"),
  url("../fonts/Cairo-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-ExtraLight.eot");
  src: url("../fonts/Cairo-ExtraLight.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-ExtraLight.woff2") format("woff2"),
  url("../fonts/Cairo-ExtraLight.woff") format("woff"),
  url("../fonts/Cairo-ExtraLight.ttf") format("truetype");
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-SemiBold.eot");
  src: url("../fonts/Cairo-SemiBold.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-SemiBold.woff2") format("woff2"),
  url("../fonts/Cairo-SemiBold.woff") format("woff"),
  url("../fonts/Cairo-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-Light.eot");
  src: url("../fonts/Cairo-Light.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-Light.woff2") format("woff2"),
  url("../fonts/Cairo-Light.woff") format("woff"),
  url("../fonts/Cairo-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-Regular.eot");
  src: url("../fonts/Cairo-Regular.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-Regular.woff2") format("woff2"),
  url("../fonts/Cairo-Regular.woff") format("woff"),
  url("../fonts/Cairo-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Cairo";
  src: url("../fonts/Cairo-Medium.eot");
  src: url("../fonts/Cairo-Medium.eot?#iefix") format("embedded-opentype"),
  url("../fonts/Cairo-Medium.woff2") format("woff2"),
  url("../fonts/Cairo-Medium.woff") format("woff"),
  url("../fonts/Cairo-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

.checkbox-wrapper-31:hover .check {
  stroke-dashoffset: 0;
}

.checkbox-wrapper-31 {
  position: relative;
  display: inline-block;
  width: 25px;
  height: 25px;
  margin-right: 10px;
}

.checkbox-wrapper-31 .background {
  fill: #ccc;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}

.checkbox-wrapper-31 .stroke {
  fill: none;
  stroke: #fff;
  stroke-miterlimit: 10;
  stroke-width: 2px;
  stroke-dashoffset: 100;
  stroke-dasharray: 100;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}

.checkbox-wrapper-31 .check {
  fill: none;
  stroke: #fff;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-width: 2px;
  stroke-dashoffset: 22;
  stroke-dasharray: 22;
  transition: ease all 0.6s;
  -webkit-transition: ease all 0.6s;
}

.checkbox-wrapper-31 input[type=checkbox] {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  margin: 0;
  opacity: 0;
  -appearance: none;
  -webkit-appearance: none;
}

.checkbox-wrapper-31 input[type=checkbox]:hover {
  cursor: pointer;
}

.checkbox-wrapper-31 input[type=checkbox]:checked + svg .background {
  fill: #6cbe45;
}

.checkbox-wrapper-31 input[type=checkbox]:checked + svg .stroke {
  stroke-dashoffset: 0;
}

.checkbox-wrapper-31 input[type=checkbox]:checked + svg .check {
  stroke-dashoffset: 0;
}

.checkbox-wrapper-31 input[type=radio] {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  margin: 0;
  opacity: 0;
  -appearance: none;
  -webkit-appearance: none;
}

.checkbox-wrapper-31 input[type=radio]:hover {
  cursor: pointer;
}

.checkbox-wrapper-31 input[type=radio]:checked + svg .background {
  fill: #6cbe45;
}

.checkbox-wrapper-31 input[type=radio]:checked + svg .stroke {
  stroke-dashoffset: 0;
}

.checkbox-wrapper-31 input[type=radio]:checked + svg .check {
  stroke-dashoffset: 0;
}


/* General */

.no-scroll {
  position: fixed;
  overflow-y: scroll;
  width: 100%;
}
img {
  max-width: 100%;
  height: auto;
}

a {
  transition: all 0.4s;
  text-decoration: none;
}

svg {
  fill: currentColor;
}

.text-inherit {
  color: inherit !important;
}

.text-body-opacity {
  --bs-text-opacity: 0.75;
  color: rgba(var(--bs-body-color-rgb), var(--bs-text-opacity)) !important;
}
.ls-2 {
  letter-spacing: 2px;
}

.icon {
  display: inline-block;
  width: 1rem;
  height: 1rem;
  fill: currentColor;
  vertical-align: -0.15em;
}

.icon-sm {
  width: 0.75rem;
  height: 0.75rem;
}

.icon-md {
  width: 1.5rem;
  height: 1.5rem;
  vertical-align: -0.35em;
}

.icon-lg {
  width: 2rem;
  height: 2rem;
}

.icon-xl {
  width: 3rem;
  height: 3rem;
}

.fill-none {
  fill: none;
}

.form-group {
  margin-bottom: 1rem;
}

.block {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.max-w-70 {
  max-width: 70%;
}

.hover-zoom {
  position: relative;
}
.hover-zoom-img {
  transition: all 0.4s;
  object-fit: cover;
}
.hover-zoom:hover .hover-zoom-img {
  transform: scale(1.1);
}

.text-shadow {
  text-shadow: var(--bs-text-shadow);
}

/* no After*/
.no-after:after {
  display: none;
}

/* Header */
.header {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 87px;
  z-index: 99;
}

.navbar-currency-lang .form-select {
  color: var(--bs-white);
  font-weight: 900;
  text-transform: uppercase;
  background-color: rgba(var(--bs-white-rgb), 0.1);
  border: 1px solid var(--bs-white);
  padding: 0.5rem 2rem 0.5rem 0.75rem;
  background-size: 12px 12px;
  background-position: right 0.5rem center;
}
.navbar-currency-lang .form-select option {
  color: var(--bs-body-color);
}

.nav-account .btn {
  font-weight: 900;
  text-transform: uppercase;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

/* Navbar toggler */

.navbar-toggler {
  position: relative;
  height: 3.2rem;
  width: 3.2rem;
  padding: 0;
  border: 0;
  border-radius: 0;
  margin-right: 0;
  background-color: transparent;
}

.navbar-toggler:hover {
  background-color: transparent;
}
.navbar-toggler i {
  display: block;
  position: absolute;
  top: 16px;
  right: 15%;
  width: 2rem;
  height: 3px;
  transition: all 0.4s;
  border-radius: 1rem;
  background-color: var(--bs-white);
}

.navbar-toggler i:nth-child(2) {
  top: 24px;
  transition: all 0s;
}

.navbar-toggler i:nth-child(3) {
  top: 32px;
}

.menu--open,
.menu--open body {
  overflow: hidden;
}

.menu--open .navbar-toggler,
.btn-toggler.active {
  z-index: 19999;
}

.menu--open .navbar-toggler i:first-child,
.navbar-toggler.active i:first-child {
  top: 25px;
  -webkit-transform: rotate(135deg) !important;
  transform: rotate(135deg) !important;
}

.menu--open .navbar-toggler i:nth-child(2),
.navbar-toggler.active i:nth-child(2) {
  opacity: 0;
  left: 60px;
}

.menu--open .navbar-toggler i:nth-child(3),
.navbar-toggler.active i:nth-child(3) {
  top: 25px;
  -wekit-transform: rotate(-135deg) !important;
  transform: rotate(-135deg) !important;
}

.menu--open .bg-navbar {
  visibility: visible;
  z-index: 5999;
  opacity: 0.5;
}

.bg-navbar,
.bg-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--bs-secondary);
  z-index: -1;
  visibility: hidden;
  opacity: 0;
  transition: all 0.3s;
}

.nav-right-item {
  display: grid;
  grid-template-rows: 1fr;
  grid-gap: 1rem;
  margin-top: 1rem;
}
.navbar-currency-lang {
  grid-template-columns: 1fr 1fr;
}

/* Main Slider */
.main-slider {
  position: relative;
}
.main-slider-bg {
  display: flex;
  justify-content: flex-end;
  position: absolute;
  inset: 0;
}
.main-slider-bg-image {
  position: relative;
  overflow: hidden;
  width: 40%;
  background-color: var(--bs-secondary);
}
.main-slider-bg-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.4;
}

.main-slider .splide__slide {
  position: relative;
  display: flex;
  flex-direction: column;
}

.main-slider-media {
  position: relative;
  overflow: hidden;
}
.main-slider-media img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.main-slider-body {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 10rem 0 5rem 0;
  z-index: 999;
}

.main-slider-content {
  width: 100%;
}
.main-slider-title {
}
.main-slider-text {
  color: var(--bs-primary);
  font-size: 1.25rem;
  margin-bottom: 1.5rem;
}
.main-slider-text span,
.main-slider-text strong,
.main-slider-text b,
.main-slider-link span strong {
  font-weight: 900;
}
.main-slider-link {
  display: inline-flex;
  align-items: center;
  font-size: 1.25rem;
}

.main-slider-dots {
  position: absolute;
  bottom: 1rem;
  width: 100%;
}
.main-slider-dots .splide__pagination {
  position: static;
  transform: translate(0);
  padding: 0;
  justify-content: flex-start;
}

/* Home Search */
.home-search-locations {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -0.5rem;
}
.home-search-location {
  padding: 0 0.5rem;
  margin-bottom: 1rem;
  flex: 1 0 0%;
  height: auto !important;
}
.home-search .form-label {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-weight: bold;
  margin-bottom: 0.75rem;
}

.search-group-input {
  min-height: 48px;
  position: relative;
  cursor: pointer;
}
.search-group-input > * {
  pointer-events: none;
}
.select-group-label {
  position: absolute;
}
.search-group-input.selected .select-group-label {
  transform: translateY(-16px);
  font-size: 70%;
}
.select-age-input {
  position: relative;
  min-width: 1em;
  width: min-content;
}
.search-group-age .select-group-label {
  position: static;
}
.search-group-age .form-select {
  white-space: nowrap;
  border: 0;
  color: var(--bs-white);
  background-color: transparent;
}

.search-group-age .search-group-input.selected .select-group-label {
  font-size: inherit;
  transform: translateY(0);
}

.home-search .select-age option {
  color: var(--bs-body-color);
}

.date-group .form-select {
  flex: 0 0 auto;
  min-width: 100px;
}

.search-group {
  position: relative;
}
.search-group-result {
  position: absolute;
  left: 0;
  top: 100%;
  background-color: #ffffff;
  box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.25);
  border-radius: 5px;
  z-index: -1;
  opacity: 0;
  visibility: hidden;
  max-height: 300px;
  width: 100%;
  overflow: auto;
  transition: opacity 0.4s;
}
.search-group-result.open {
  z-index: 99;
  opacity: 1;
  visibility: visible;
}

/* Autocomplete */
.ui-autocomplete {
  position: relative;
  list-style: none;
  margin: 0;
  padding: 0;
}
.ui-autocomplete li {
  padding: 0;
  cursor: pointer;
  border-radius: 2px;
  border-bottom: 1px solid #eaeaea;
}
.ui-autocomplete li a {
  padding: 8px 12px;
  display: flex;
  align-items: center;
  cursor: pointer;
  text-decoration: none;
  padding: 10px 9px;
  white-space: nowrap;
  overflow: hidden;
}
.ui-autocomplete li a .ui-autocomplete-icon {
  margin-right: 10px;
  width: 1.5rem;
}
.ui-autocomplete li a .badge {
  display: block;
  vertical-align: middle;
  padding: 6px 8px;
  line-height: 1;
}
.ui-autocomplete li a .ui-autocomplete-content {
  line-height: 1.2;
  font-size: 16px;
}
.ui-autocomplete li a .ui-autocomplete-content em {
  font-weight: bold;
  color: var(--bs-secondary);
}
.ui-autocomplete li a .ui-autocomplete-content span {
  display: block;
  font-size: 14px;
  margin-top: 0.125rem;
}
.ui-autocomplete li a:hover {
  background-color: rgba(var(--bs-secondary-rgb), 0.05);
}

.ui-autocomplete li.active a {
  color: var(--bs-body-color);
  background-color: var(--bs-primary);
}

.search-group-age .search-group-result {
  min-width: 8rem;
}

.home-search-support-icon {
  max-width: 30%;
}

.mouse {
  display: inline-block;
  border: 2px solid var(--bs-gray);
  width: 36px;
  height: 42px;
  padding: 5px 0;
  border-radius: 24px;
  text-align: center;
}
.mouse-scroll {
  display: inline-block;

  animation-duration: 2s;
  animation-timing-function: cubic-bezier(0.15, 0.41, 0.69, 0.94);
  animation-iteration-count: infinite;
}

@keyframes scroll {
  0% {
    transform: translateY(-3px);
  }
  50% {
    transform: translateY(3px);
  }
  100% {
    transform: translateY(-3px);
  }
}
.link-mouse-text {
  display: block;
  margin-top: 0.5rem;
}
.link-mouse:hover {
  color: var(--bs-white);
}

.link-mouse:hover .mouse-scroll {
  animation-name: scroll;
}
.link-mouse .icon {
  width: 1.25rem;
  height: 1.25rem;
}

/* Arrow With title */
.arrows-with-title .splide__arrows {
  position: absolute;
  right: 0.5rem;
  margin-bottom: 0.75rem;
  bottom: 100%;
  display: flex;
  align-items: center;
}
.arrows-with-title .splide__arrows--rtl {
  right: auto;
  left: 0.5rem;
}
.arrows-with-title .splide__arrows .splide__arrow {
  position: static;
  margin: 0 0.5rem;
}

/* Campaign */
.campaign {
  position: relative;
  display: block;
  width: 100%;
  padding: 1rem;
  margin: 1rem 1rem 2rem 1rem;
  background-color: var(--bs-gray-100);
  box-shadow: 0 10px 1rem 2px rgba(25, 25, 37, 0.1);
  border-radius: 5px;
}
.campaign-media {
  position: relative;
  border-radius: 5px;
  overflow: hidden;
}
.campaign-media img {
  width: 100%;
  transition: transform 0.4s;
}
.campaign-title {
  transition: color 0.4s;
}
.campaign-text {
}
.campaign-link {
  position: relative;
  transition: transform 0.4s;
}
.campaign:hover {
  text-decoration: none;
}
.campaign:hover .campaign-media img {
  transform: scale(1.1);
}
.campaign:hover .campaign-title {
  color: var(--bs-primary);
}
.campaign:hover .campaign-link {
  transform: translateX(1rem);
}

/* fleet */
.fleet {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  width: 100%;
  color: var(--bs-gray);
  transition: all 0.4s;
}
.fleet:before {
  content: "";
  position: absolute;
  inset: 0;
  width: 80%;
  height: 90%;
  background-color: rgba(var(--bs-light-rgb), 0.1);
  border-radius: 5px;
  transition: all 0.4s;
}
.fleet-body {
  position: relative;
  width: 80%;
  padding: 1rem;
}

.fleet-title {
  margin-bottom: 0.5rem;
  color: var(--bs-white);
}
.fleet-title span {
  font-weight: 400;
}
.fleet-models {
  list-style: none;
  margin: 0 0 0.5rem 0;
  padding: 0;
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  font-size: 12px;
}
.fleet-models li + li:before {
  content: "|";
  display: inline-block;
  margin-left: 0.5rem;
  padding-right: 0.5rem;
  vertical-align: 0.05rem;
}
.fleet-price {
  font-size: 1.5rem;
  color: var(--bs-primary);
  transition: color 0.4s;
}
.fleet-arrow {
  position: relative;
  transition: transform 0.4s;
}
.fleet-media {
  position: relative;
  transition: transform 0.4s;
  padding-left: 1rem;
  max-width: calc(100% - 2rem);
}
.fleet-media img {
  width: 100%;
}

.fleet:hover {
  text-decoration: none;
  color: var(--bs-dark);
}
.fleet:hover:before {
  background-color: var(--bs-primary);
}
.fleet:hover .fleet-price {
  color: var(--bs-dark);
}
.fleet:hover .fleet-arrow,
.fleet:hover .fleet-media {
  transform: translateX(1rem);
}

.block-fleet .splide__arrow svg {
  fill: var(--bs-light);
}
.block-fleet .splide__pagination__page {
  border-color: var(--bs-light);
}
.block-fleet .splide__pagination__page:not(.is-active) {
  background-color: var(--bs-light);
}

/* Location */
.location {
  display: block;
  width: 100%;
  padding: 1rem;
  background-color: var(--bs-white);
  border-radius: 5px;
  transition: all 0.4s;
}
.location-media {
  position: relative;
  border-radius: 5px;
  overflow: hidden;
}
.location-media:before {
  display: block;
  padding-top: 90%;
  content: "";
}
.location-media img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.4s;
}
.location-title {
  text-transform: uppercase;
  margin-bottom: 0.375rem;
}
.location-text {
  color: var(--bs-gray);
}
.location-link {
  color: var(--bs-primary);
  position: relative;
  transition: transform 0.4s;
}

.location:hover {
  text-decoration: none;
  color: var(--bs-dark);
  background-color: var(--bs-primary);
  box-shadow: 0 10px 1rem 0 rgba(25, 25, 37, 0.1);
}
.location:hover .location-text {
  color: var(--bs-dark);
}
.location:hover .location-media img {
  transform: scale(1.1);
}
.location:hover .location-link {
  color: var(--bs-white);
  transform: translateX(1rem);
}

/* footer Top */
.footer-top {
  position: relative;
}
.footer-newsletter {
  background-color: var(--bs-primary);
}
.footer-support {
  background-color: var(--bs-secondary);
}
.footer-top-body {
  padding: 1rem;
}

.footer-newsletter .form-control {
  background-color: rgba(var(--bs-secondary-rgb), 0.2);
  border-color: rgba(var(--bs-secondary-rgb), 0.2);
}
.footer-newsletter .form-control::placeholder {
  color: var(--bs-white);
}
.footer-newsletter .btn-white {
  --bs-btn-color: var(--bs-primary);
  --bs-btn-hover-border-color: var(--bs-secondary);
  --bs-btn-hover-bg: var(--bs-secondary);
  --bs-btn-hover-color: var(--bs-white);
}

.footer-menu {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-menu li {
  margin-bottom: 1rem;
}

.footer-menu li a {
  position: relative;
  font-weight: normal;
  padding-left: 2.5rem;
}
.footer-menu li a:before {
  content: "";
  position: absolute;
  left: 0;
  top: 2px;
  width: 20px;
  height: 20px;
  display: inline-block;
  background-position: left center;
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-image: url("data:image/svg+xml,%3Csvg width='24px' height='24px' viewBox='0 -5 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='%23191925' d='M20.5858 8H1C0.447715 8 0 7.5523 0 7C0 6.4477 0.447715 6 1 6H20.5858L16.2929 1.70711C15.9024 1.31658 15.9024 0.68342 16.2929 0.29289C16.6834 -0.09763 17.3166 -0.09763 17.7071 0.29289L23.7071 6.2929C24.0976 6.6834 24.0976 7.3166 23.7071 7.7071L17.7071 13.7071C17.3166 14.0976 16.6834 14.0976 16.2929 13.7071C15.9024 13.3166 15.9024 12.6834 16.2929 12.2929L20.5858 8z' /%3E%3C/svg%3E");
  transition: transform 0.4s;
}
.footer-menu li a:not(:hover) {
  opacity: 0.45;
}
.footer-menu li a:hover:before {
  transform: translateX(0.5rem);
}

.line-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}
.line-list li {
  position: relative;
  margin: 0.375rem 0;
}
.line-list li + li:before {
  content: "|";
  display: inline-block;
  margin-left: 0.5rem;
  padding-right: 0.5rem;
}

.footer-social {
  display: flex;
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}
.footer-social li {
  padding: 0 0.5rem;
}
.footer-social li a {
  display: inline-flex;
  align-items: center;
  padding: 0.375rem;
  border-radius: 50%;
  color: #fff;
  background-color: var(--bs-gray);
}
.footer-social li a:hover {
  color: #fff;
  background-color: var(--bs-primary);
}

/* Block Steps  */
.block-step {
  background-color: var(--bs-secondary);
  padding-top: 10rem;
  padding-bottom: 3rem;
}

.step {
  display: flex;
  flex-direction: column;
}
.step-header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
  margin-bottom: 1.5rem;
  background-color: var(--bs-gray-800);
  border-radius: 5px;
  flex: 0 0 auto;
  cursor: pointer;
  pointer-events: all;
}
.step-header-withtitle {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  color: var(--bs-gray);
  text-transform: uppercase;
  flex: 1 1 auto;
}
.step-header-number {
  position: relative;
  width: 38px;
  height: 38px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 900;
  font-size: 1.5rem;
  line-height: 1;
  background-color: var(--bs-secondary);
  border-radius: 50%;
}
.step-header-title {
  color: var(--bs-gray);
  font-size: 1rem;
  margin-bottom: 0;
  margin-left: 0.75rem;
}
.step-header-title span {
  font-weight: 600;
}

.step-header-icon {
  display: block;
  flex: 0 0 auto;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 99999;
}

.step-body {
  position: relative;
  padding: 1rem;
  width: 100%;
  background-color: var(--bs-gray-800);
  border-radius: 5px;
  color: var(--bs-gray);
  flex: 1 1 auto;
}
.step-body-arrow {
  position: absolute;
  top: 0;
  margin-top: -6px;
  left: 1.75rem;
  line-height: 0;
  z-index: 3333;
}
.step-body-arrow svg {
  transform: rotate(60deg);
  fill: var(--bs-gray-800);
}

.step-location .step-body {
  padding: 0;
}
.step-body-item {
  padding: 1rem;
}

.step-body-item + .step-body-item {
  border-top: 1px solid var(--bs-secondary);
}

.step-finished .step-header-number span {
  display: none;
}
.step-finished .step-header-number:before {
  content: "";
  position: absolute;
  width: 225%;
  height: 225%;
  margin-left: 1.25rem;
  background: url(../img/icon-check.svg) no-repeat center center;
  background-size: cover;
}

.step-current .step-header {
  background-color: var(--bs-white);
}
.step-current .step-header-number {
  color: var(--bs-body-color);
  background-color: rgba(var(--bs-gray-800-rgb), 0.15);
}
.step-current .step-header-title {
  color: var(--bs-body-color);
}

.step-current .step-body {
  color: rgba(var(--bs-gray-800-gray), 0.75);
  background-color: var(--bs-white);
  box-shadow: 0 0.125rem 0.5rem rgba(var(--bs-body-color-rgb), 0.075) !important;
}
.step-current .step-body-arrow svg {
  fill: var(--bs-white);
}

.block-filter {
  background-color: var(--bs-gray-100);
}
.block-filter .form-select {
  background-color: transparent;
}

.step-extra .step-body {
  padding: 0;
}
.step-extra.step-current .step-body-arrow svg {
  fill: var(--bs-gray-200);
}
.step-extra.step-current .step-body-item:nth-child(2) {
  background-color: var(--bs-gray-200);
  border-radius: 5px 5px 0 0;
}
.step-extra.step-finished .step-header-title {
  max-width: 10.5rem;
}

.select-label {
  position: absolute;
  inset: 1px;
  padding-left: 1rem;
  display: flex;
  align-items: center;
  background-color: #fff;
  max-width: 80%;
  cursor: pointer;
}
.select-label span {
  display: inline-block;
  margin-left: 0.25rem;
  pointer-events: none;
}

/* Cars */
.car {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  width: 100%;
  color: var(--bs-body-color);
  transition: all 0.4s;
}
.car:before {
  content: "";
  position: absolute;
  inset: 0;
  width: 90%;
  height: 100%;
  background-color: var(--bs-light);
  border-radius: 5px;
  transition: all 0.4s;
}
.car-body {
  position: relative;
  width: 90%;
  padding: 1rem;
}
.car-category {
  color: var(--bs-gray);
  margin-bottom: 0.25rem;
}
.car-title {
  margin-bottom: 0.5rem;
}
.car-category span {
  color: #000000;
  font-size: 1rem;
  padding-left: 0.5rem;
  margin-left: 0.5rem;
  border-left: 1px solid var(--bs-dark);
  font-weight: 400;
}
.car-props {
  position: relative;
}
.car-prop-list {
  position: relative;
  list-style: none;
  margin: 0 0 0.5rem 0;
  padding: 0;
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  color: #252530;
}
.car-prop-bg {
  background: repeating-linear-gradient(
    to right,
    #252530,
    #252530 1px,
    transparent 1px,
    transparent 24.9%
  );
  position: absolute;
  top: 35%;
  width: 100%;
  left: 0;
  height: 30%;
}
.car-prop-bg:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  height: 1px;
  margin-top: -1px;
  background-color: #252530;
}
.car-prop {
  flex: 0 0 25%;
  width: 25%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0.5rem 0;
}
.car-prop-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}
.car-prop-text {
  margin-top: 0.125rem;
  font-size: 13px;
}

.car-price {
  font-size: 1rem;
  line-height: 1;
  color: var(--bs-primary);
  transition: color 0.4s;
  font-weight: bold;
}
.car-price strong {
  font-size: 1.5rem;
  font-weight: 900;
  text-shadow: var(--bs-text-shadow);
}
.car-link {
  position: relative;
  display: flex;
  justify-content: center;
  font-size: 1.25rem;
  transition: transform 0.4s;
  width: 90%;
}
.car-link-body {
  display: flex;
  justify-content: center;
  transition: transform 0.4s;
}

.car-link-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 1rem;
}

.car-media {
  position: relative;
  transition: transform 0.4s;
  padding-left: 1rem;
  margin-bottom: 0;
  margin-top: auto;
}
.car-media img {
  width: 100%;
}

.car:hover {
  text-decoration: none;
  color: var(--bs-dark);
}
.car:hover:before {
  background-color: var(--bs-secondary);
}
.car:hover .car-title {
  color: var(--bs-white);
}
.car:hover .car-category span {
  border-color: var(--bs-light);
  color: var(--bs-white);
}
.car:hover .car-props {
  opacity: 0.7;
}
.car:hover .car-prop-list {
  color: var(--bs-white);
}
.car:hover .car-prop-icon {
  filter: brightness(0) invert(1);
}
.car:hover .car-prop-bg {
  background: repeating-linear-gradient(
    to right,
    var(--bs-white),
    var(--bs-white) 1px,
    transparent 1px,
    transparent 24.9%
  );
}
.car:hover .car-prop-bg:before {
  background-color: var(--bs-white);
}
.car:hover .car-link-body,
.car:hover .car-media {
  transform: translateX(1rem);
}

.insurance-nav {
}
.insurance-step {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.insurance-step li {
  position: relative;
  font-size: 20px;
  font-weight: 900;
  text-transform: uppercase;
}
.insurance-step li:before,
.insurance-step li:after {
  content: "";
  width: 48px;
  display: inline-block;
  margin: 0 1rem;
  height: 2px;
  background-color: rgba(var(--bs-dark-rgb), 0.75);
  vertical-align: 5px;
}
.insurance-step li:nth-child(1):before {
  display: none;
}
.insurance-step li:nth-child(1):after {
  margin-right: 0;
}
.insurance-step li + li:before {
  margin-left: 0;
}
.insurance-step li + li:after {
  display: none;
}
.insurance-step li.active {
  color: var(--bs-primary);
}
.insurance-step li.active:before,
.insurance-step li.active:after,
.insurance-step li.finished:before,
.insurance-step li.finished:after {
  background-color: var(--bs-primary);
}

.package {
  display: flex;
  flex-direction: column;
  width: 100%;
  background-color: var(--bs-white);
  border-radius: 5px;
  box-shadow: 0 2px 1rem rgba(var(--bs-gray-800-rgb), 0.1);
}
.package-header {
  flex: 0 0 auto;
  padding: 1rem;
  width: 100%;
  border-radius: 5px 5px 0 0;
  cursor: pointer;
  pointer-events: all;
}
.package-header > * {
  pointer-events: none;
}
.package-title {
  margin-bottom: 0;
}
.package-price {
  font-weight: 900;
  font-size: 1.5rem;
  line-height: 1;
  color: var(--bs-primary);
  text-shadow: var(--bs-text-shadow);
}
.package-arrow {
  position: relative;
  display: inline-block;
  width: 32px;
  height: 32px;
  background-color: rgba(var(--bs-gray-400-rgb), 0.3);
  border-radius: 50%;
}
.package-body {
  flex: 1 1 auto;
  width: 100%;
  opacity: 0.7;
}
.package-props {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  line-height: 1.2;
}
.package-props li {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 0.75rem 0.75rem 0.75rem 2.25rem;
  width: 50%;
  border-top: 1px solid rgba(var(--bs-gray-200-rgb), 0.6);
}
.package-props li:before {
  content: "+";
  display: inline-block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0.5rem;
  margin-top: -3px;
  font-size: 1.5rem;
  line-height: 1;
  font-weight: bold;
  color: var(--bs-primary);
  text-shadow: 2px 2px 6px rgba(var(--bs-primary-rgb), 0.3);
}
.package-props li:nth-child(2n + 1) {
  border-right: 1px solid rgba(var(--bs-gray-200-rgb), 0.6);
}
.package-props li:nth-child(4n + 1),
.package-props li:nth-child(4n) {
  background-color: rgba(var(--bs-gray-200-rgb), 0.4);
}
.package-props li.line {
  color: var(--bs-gray);
  text-decoration: line-through;
}
.package-props li.line:before {
  content: "-";
  color: var(--bs-gray);
  text-shadow: none;
  left: 0.75rem;
}
.package.active .package-body {
  opacity: 1;
}
.package.active .package-header {
  color: var(--bs-gray-100);
  background-color: var(--bs-dark);
}
.package.active .package-arrow {
  background-color: var(--bs-gray-100);
}
.package.active .package-arrow:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 225%;
  height: 225%;
  margin-left: 0.5rem;
  background: url(../img/icon-check.svg) no-repeat center center;
  background-size: cover;
}

.extra {
  position: relative;
  display: block;
  width: 100%;
  padding: 1rem;
  background-color: var(--bs-white);
  border-radius: 5px;
  box-shadow: 10px 10px 40px rgba(var(--bs-gray-800-rgb), 0.1);
  cursor: pointer;
}
.extra-icon {
  margin-bottom: 0.375rem;
}
.extra-arrow {
  position: absolute;
  right: 1rem;
  display: inline-block;
  width: 32px;
  height: 32px;
  background-color: rgba(var(--bs-gray-400-rgb), 0.3);
  border-radius: 50%;
}
.extra-title {
  color: rgba(var(--bs-gray-800-rgb), 0.75);
  margin-bottom: 0;
}
.extra-price {
  font-weight: 900;
  font-size: 1.5rem;
  line-height: 1;
  margin-top: 0.5rem;
  color: var(--bs-primary);
  text-shadow: var(--bs-text-shadow);
}

.extra-input:checked ~ .extra {
  color: var(--bs-gray-100);
  background-color: var(--bs-dark);
}
.extra-input:checked ~ .extra .extra-title {
  color: var(--bs-white);
}
.extra-input:checked ~ .extra .extra-icon {
  filter: brightness(0) invert(1);
}
.extra-input:checked ~ .extra .extra-arrow {
  background-color: var(--bs-gray-100);
}
.extra-input:checked ~ .extra .extra-arrow:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 225%;
  height: 225%;
  margin-left: 0.5rem;
  background: url(../img/icon-check.svg) no-repeat center center;
  background-size: cover;
}

.payment-card {
  position: relative;
  padding-bottom: 3rem;
  left: 50%;
  transform: translateX(-35%);
}

.payment-card-front,
.payment-card-back {
  position: relative;
  transition: all 0.3s;
  z-index: 5;
}

.payment-card .active {
  z-index: 25;
}

.payment-card-inner {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  padding-left: 15px;
}

.payment-card-back {
  position: absolute;
  left: 25%;
  bottom: 0;
}

.payment-card-back .payment-card-inner {
  padding-left: auto;
  padding-right: 10%;
}

.payment-card-name,
.payment-card-number,
.payment-card-date,
.payment-card-ccv {
  font-weight: normal;
  color: #fff;
  position: absolute;
  text-transform: uppercase;
  white-space: nowrap;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}

.payment-card-name {
  font-size: 16px;
  top: 15%;
  width: 85%;
  text-overflow: ellipsis;
  display: inline-block;
}

.payment-card-number {
  letter-spacing: 1px;
  font-size: 20px;
  font-weight: bold;
  bottom: 25%;
}

.payment-card-date {
  bottom: 8%;
}

.payment-card-ccv {
  font-weight: normal;
  color: #000000;
  bottom: 4%;
  right: 5%;
  width: 85px;
  text-align: center;
  font-size: 24px;
  letter-spacing: 1px;
}

@media (max-width: 1199px) {
  .navbar-collapse {
    position: absolute;
    display: block !important;
    align-items: flex-start;
    right: 0;
    top: 0;
    padding: 5rem 1rem 1rem 1rem;
    width: 50%;
    max-width: 100%;
    min-height: 100vh;
    transform: translateX(200%);
    background-color: var(--bs-dark);
    box-shadow: 0 0 1rem rgb(0 0 0 / 16%);
    transition: transform 0.5s;
    overflow: hidden;
    overflow-y: auto;
    z-index: 999;
  }

  .menu--open .navbar-collapse {
    transform: translateX(0%);
    z-index: 6999;
  }

  .navbar-nav .nav-link {
    padding: 0.75rem 1rem;
    position: relative;
    --bs-nav-link-color: #fff;
  }

  .navbar-nav .dropdown-toggle:after {
    display: inline-block;
    content: "";
    top: 50%;
    width: 12px;
    height: 12px;
    position: absolute;
    right: 1rem;
    transform: translateY(-50%) rotate(180deg);
    border-width: 0;
    background-position: center center;
    background-size: cover;
    background-image: url("data:image/svg+xml,%3Csvg width='20px' height='20px' viewBox='0 0 16 16' xmlns='http://www.w3.org/2000/svg' fill='none'%3E%3Cpath fill='%23000000' d='M8 1.25a2.101 2.101 0 00-1.785.996l.64.392-.642-.388-5.675 9.373-.006.01a2.065 2.065 0 00.751 2.832c.314.183.67.281 1.034.285h11.366a2.101 2.101 0 001.791-1.045 2.064 2.064 0 00-.006-2.072L9.788 2.25l-.003-.004A2.084 2.084 0 008 1.25z'/%3E%3C/svg%3E");
    opacity: 0.5;
  }
  .navbar-nav .dropdown-toggle.show:after {
    transform: translateY(-50%) rotate(0deg);
  }
  .step {
    flex-direction: row;
    position: relative;
  }
  .step-collapse {
    position: absolute;
    left: 1rem;
    top: 100%;
    width: calc(200% - 1.5rem);
    z-index: 99;
  }
  .step:nth-child(4) .step-collapse {
    left: auto;
    right: 1rem;
  }
  .step:nth-child(4) .step-collapse .step-body-arrow {
    left: auto;
    right: 1.75rem;
  }

  .block-filter .col-xl-3 + .col-xl-3 {
    border-top: 1px solid rgba(var(--bs-gray-rgb), 0.25);
  }

  .step-header-icon {
    max-width: 3.5rem;
  }
  .step-header-number {
    flex: 0 0 auto;
    width: 2rem;
    height: 2rem;
    font-size: 1.325rem;
  }
}

@media (max-width: 991px) {
  .footer-social {
    justify-content: center;
  }

  .step-header {
    flex-direction: column;
    text-align: center;
  }
  .step-header-withtitle {
    flex-direction: column;
  }
  .step-header-title {
    margin-left: 0;
    margin-top: 0.5rem;
  }
}

@media (max-width: 767px) {
  .navbar-brand {
    max-width: 45%;
    position: relative;
    z-index: 7999;
  }
  .navbar-collapse {
    width: 100%;
    padding-top: 8rem;
  }
  .navbar-nav .nav-link {
    padding-left: 0;
    padding-right: 0;
  }

  .main-slider-bg-image {
    width: 100%;
  }
  .main-slider-body {
    padding-top: 8rem;
    padding-bottom: 2rem;
  }
  .main-slider-content {
    margin-bottom: 2rem;
  }
  .main-slider-title,
  .main-slider-link {
    color: var(--bs-white);
  }

  .home-search-location {
    width: 100%;
    flex: 0 0 100%;
  }

  .block-step {
    padding-top: 8rem;
    padding-bottom: 1rem;
  }
  .step-header {
    padding: 0.75rem;
  }
  .step-header-title {
    font-size: 12px;
  }

  .step-collapse {
    left: 0.375rem;
    width: calc(400% - 0.675rem);
  }
  .step:nth-child(2) .step-collapse {
    left: calc(-100% + 0.375rem);
  }
  .step:nth-child(2) .step-collapse .step-body-arrow {
    left: calc(33% + 0.375rem);
  }
  .step:nth-child(3) .step-collapse {
    left: calc(-200% + 0.375rem);
  }
  .step:nth-child(3) .step-collapse .step-body-arrow {
    left: calc(60%);
  }
  .step:nth-child(4) .step-collapse {
    left: auto;
    right: 0.375rem;
  }

  .insurance-step li {
    font-size: 16px;
  }

  .insurance-step li:before,
  .insurance-step li:after {
    width: 20px;
    margin: 0 0.5rem;
  }

  .car:before,
  .car-body,
  .car-link,
  .fleet:before,
  .fleet-body {
    width: 100%;
  }

  .fleet-media {
    max-width: 100%;
  }
}

@media (max-width: 424px) {
  .insurance-step li {
    font-size: 14px;
  }
  .insurance-step li:before,
  .insurance-step li:after {
    width: 16px;
    margin: 0 0.25rem;
    vertical-align: 4px;
  }
}

@media (min-width: 768px) {
}

@media (min-width: 992px) {
  .block {
    padding-top: 4rem;
    padding-bottom: 4rem;
  }
  .step-finished .step-header-icon {
    display: block;
  }
  .step-finished .step-header {
    padding-top: 0;
    padding-bottom: 0;
    padding-right: 0;
  }
  .extra-price {
    font-size: 2rem;
  }
}

@media (min-width: 1200px) {
  .navbar-expand-xl .navbar-nav {
    margin-right: 1rem;
  }
  .page--home .navbar-expand-xl .navbar-nav .nav-link:not(.active) {
    color: rgba(var(--bs-dark-rgb), 0.7);
  }
  .page--home .navbar-expand-xl .navbar-nav .nav-link:hover {
    color: var(--bs-primary);
  }
  .nav-right-item {
    display: flex;
    align-items: center;
    padding-left: 1rem;
    margin-top: 0;
  }
  .nav-right-item > * + * {
    margin-left: 1rem;
  }

  body:not(.page--home) .nav-account {
    margin-left: 3vw;
  }

  .block {
    padding-top: 5rem;
    padding-bottom: 5rem;
  }

  .main-slider-body {
    padding-top: 200px;
  }

  .main-slider-dots {
    bottom: 2rem;
  }

  .block-fleet .splide,
  .block-location .splide {
    visibility: visible;
  }
  .block-fleet .splide__list {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr;
  }
  .block-location .splide__list {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }

  .footer-newsletter .footer-top-body {
    padding-left: 0;
  }
  .main-slider-text {
    font-size: 1.75rem;
  }
  .step-header {
    pointer-events: none;
  }
  .step-collapse {
    display: flex !important;
    flex: 1 1 auto;
  }
  .filter-collapse {
    display: block !important;
  }
  .block-filter .col-xl-3 + .col-xl-3 {
    border-left: 1px solid rgba(var(--bs-gray-rgb), 0.25);
  }
  .car-price strong {
    font-size: 44px;
  }
  .car-price span {
    font-size: 1.25rem;
  }

  .step-car .car-price strong {
    font-size: 1.5rem;
  }
  .step-car .car-price span {
    font-size: 1rem;
  }
  .package-price {
    font-size: 40px;
  }
  .package-arrow {
    width: 60px;
    height: 60px;
  }

  .package-props li {
    font-size: 20px;
  }

  .package-props li:before {
    font-size: 1.75rem;
  }

  .extra-arrow {
    width: 3rem;
    height: 3rem;
  }
  .extra-price {
    font-size: 2.25rem;
  }

  .step-header-title {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }
}

@media (min-width: 1600px) {
  .nav-right-item {
    min-width: 255px;
  }
  .main-slider-title {
    font-size: 4rem;
    line-height: 1;
  }
  .main-slider-text {
    font-size: 2.75rem;
  }
  .main-slider-link {
    font-size: 1.5rem;
  }
  .car-body {
    padding: 2rem 2rem 0 2rem;
  }
  .step-header-title {
    font-size: 1.375rem;
  }

  body:not(.page--home) .nav-account {
    margin-left: 10vw;
  }
}
